import { LitElement, html } from 'lit-element';
import { BsContentRebootCss } from "../../content/index.js";
import "./bs-tab-content.js";
export class BsTabs extends LitElement {
  static get properties() {
    return {
      selectedTabId: Number
    };
  }

  render() {
    return html`
            
            <slot name="tabs"></slot>
            
            <bs-tab-content selectedItem="${this.selectedTabId}">
                <slot name="tabs-content"></slot>
            </bs-tab-content>
        `;
  }

  constructor() {
    super();
    this.selectedTabId = -1;
  }

  firstUpdated() {
    this.addEventListener('list-group-item-selected', event => this._handleListGroupItemSelected(event));
  }

  _handleListGroupItemSelected(event) {
    this.selectedTabId = event.detail.index;
  }

}
;
window.customElements.define('bs-tabs', BsTabs);